# Generated by Django 2.0.6 on 2018-07-06 13:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BinaryFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_hash', models.TextField(unique=True)),
                ('file_content', models.BinaryField()),
            ],
        ),
        migrations.CreateModel(
            name='CalculationResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text_report', models.TextField()),
                ('uploaded_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Graph',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('svg', models.TextField()),
            ],
        ),
        migrations.AddField(
            model_name='calculationresult',
            name='complex_graph',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='complex_of', to='debts.Graph'),
        ),
        migrations.AddField(
            model_name='calculationresult',
            name='csv_file',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='debts.BinaryFile'),
        ),
        migrations.AddField(
            model_name='calculationresult',
            name='simple_graph',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='simple_of', to='debts.Graph'),
        ),
        migrations.AddField(
            model_name='calculationresult',
            name='submitter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL),
        ),
    ]
